#include <gtkmm/application.h>
#include <gtkmm/window.h>
#include <glibmm.h>

#include "BlackWidget.hh"
#include "PageLayout.hh"

int main(int argc, char** argv)
{
  Glib::init();

  Glib::RefPtr<Gtk::Application> app =
    Gtk::Application::create(argc, argv,"");

  Gtk::Window window;
  window.set_default_size(300, 200);
  

  PageLayout layout;
  
  for(int i = 0; i < 5; ++i)
  {
    BlackWidget* widget = new BlackWidget(i);
    widget->set_size_request(150 - 10*i, 150 - 10*i);
    layout.add(*widget);
    
    widget->set_hexpand(false);
    widget->set_vexpand(false);
    
    /*
    if(i == 3)
      widget->set_hexpand(true);
    else if(i == 2)
      widget->set_vexpand(true);
    */
  }
  
  /*
  BlackWidget widget;
  
  window.add(widget);
  */
  
  window.add(layout);
  
  window.show_all();

  return app->run(window);
  
  return 0;
}
