#include "BlackWidget.hh"

#include <iostream>
#include <sstream>
using namespace std;

BlackWidget::BlackWidget(int n)
  : Gtk::DrawingArea(),
    number(n)
{
  set_events(Gdk::ALL_EVENTS_MASK);

  cout << "BlackWidget::BlackWidget" << endl;
}

bool BlackWidget::on_draw(const Cairo::RefPtr<Cairo::Context>& cr)
{
  //cout << "BlackWidget::on_draw" << endl;

  Gtk::Allocation alloc = get_allocation();

  cr->set_source_rgba(0.2, 0.2, 0.2, 1);
  cr->paint();
  cr->set_source_rgba(0.8, 0, 0, 1);
  cr->move_to(0, 0);
  cr->line_to(alloc.get_width(), alloc.get_height());
  cr->move_to(alloc.get_width(), 0);
  cr->line_to(0, alloc.get_height());
  
  cr->stroke();
  
  cr->move_to(alloc.get_width() / 2, alloc.get_height() / 2);
  
  std::ostringstream stream;
  
  stream << "number: " << number << ", ";
  stream << "hexpand: " << get_hexpand() << ", ";
  stream << "vexpand: " << get_vexpand() << " ,";
  
  std::string str = stream.str();
  
  Cairo::TextExtents extents;
  
  cr->get_text_extents(str, extents);
  
  cr->rel_move_to(-extents.width / 2, -extents.height / 2);
  
  cr->show_text(str);
  
  auto region = get_window()->get_clip_region();
  
  for(int i = 0; i < region->get_num_rectangles(); ++i)
  {
    auto rect = region->get_rectangle(i);
    
    int j = 0;
    ++j;
  }
  
  return true;
}
