#ifndef PAGELAYOUT_HH
#define PAGELAYOUT_HH

#include <glibmm/property.h>

#include <gtkmm/layout.h>

class PageLayout : public Gtk::Layout
{
public:
  PageLayout();
  
protected:
  //void on_add(Gtk::Widget* widget) override;
  /*
  void on_remove(Gtk::Widget* widget) override;
  */
  
  bool on_draw(const Cairo::RefPtr<Cairo::Context>& cr) override;
  
  void get_preferred_width_vfunc(int& minimum_width, int& natural_width) const override;
  
  void get_preferred_height_vfunc(int& minimum_height, int& natural_height) const override;
  
  void on_size_allocate (Gtk::Allocation& allocation) override;
  
  Glib::Property<int> prop_row_spacing;
  
  void dump_cairo_region(Cairo::RefPtr<Cairo::Region> region);
  
};

#endif
