#include "helpers.h"

#include <stdio.h>

void dump_cairo_region(cairo_region_t* region)
{
  int i = 0;
  const int n = cairo_region_num_rectangles(region);
  cairo_rectangle_int_t *rectangle;
  
  for(i = 0; i < n; ++i)
  {
    cairo_rectangle_int_t rect;
    
    cairo_region_get_rectangle(region, i, &rect);
    
    if(!rectangle)
      continue;
    
    printf("Rectangle x = %i, y = %i | width = %i, height = %i\n",
           rect.x, rect.y,
           rect.width, rect.height);
    fflush(stdout);
  }
}
